%global srcname rows

Name:           python-%{srcname}
Version:        0.1.1        
Release:        3%{?dist}
Summary:        A common, beautiful interface to tabular data, no matter the format 

License:        GPLv3+
URL:            https://github.com/turicas/rows
Source0:        https://github.com/turicas/rows/archive/v%{version}.tar.gz
Source1:        %{srcname}.1

BuildRequires:  python2-devel
BuildRequires:  python-click
BuildRequires:  python-requests
BuildRequires:  python-lxml
BuildRequires:  python-unicodecsv

BuildArch:      noarch

%package -n python2-%{srcname}
Summary:        %{summary}
Requires:       python-click
Requires:       python-requests
Requires:       python-unicodecsv
Recommends:     python-lxml
Recommends:     python-xlrd
Recommends:     python-xlwt

Provides:       %{srcname} == %{version}-%{release}

%{?python_provide:%python_provide python2-%{srcname}}

%description
No matter in which format your tabular data is: rows will import it, 
automatically detect types and give you high-level Python objects so 
you can start working with the data instead of trying to parse it. It 
is also locale-and-unicode aware.

%description -n python2-%{srcname}
No matter in which format your tabular data is: rows will import it, 
automatically detect types and give you high-level Python objects so 
you can start working with the data instead of trying to parse it. It 
is also locale-and-unicode aware.

%prep
%autosetup -n %{srcname}-%{version}
rm -rf %{srcname}.egg.info

%build
%py2_build

%install
%py2_install
install -pDm644 %{SOURCE1} %{buildroot}%{_mandir}/man1/%{srcname}.1


%check
%{__python2} setup.py test

%files -n python2-%{srcname}
%license LICENSE
%doc CHANGELOG.md AUTHORS README.markdown
%{python2_sitelib}/*
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Sep 28 2015 Fedora <williamjmorenor@gmail.com> - 0.1.1-1
- Initial Packaging
